Subject: Re: clothing

From: [email-masked] (Katana ---/-----------)
Date: Wed, 31 Jul 1996 15:16:32 GMT

On Jul 29, 1996 21:13:40, [email-masked]' wrote: 

>Thank you to those who replied. I was also told that  
>Jas Townsend & Son, Inc  Piereton, IN 
>sold these same trousers. Has anyone bought from either one 
>of these co.  
>Thanks, 
-- 
>>Yes, I have dealt with Townsend & Sons for years. I've been to thier shop
in Pierceton, IN. also. They are good people to deal with. I have thier
catalog buried in my non-existant filing system, and will find it if you
want the phone num/address. 
Katana ---/----------